package com.arms.api.analysis.time.model.vo;

import lombok.*;

import java.util.ArrayList;
import java.util.List;

@Getter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AlmIssueStatVO {

    @Builder.Default
    private String date = "";

    @Builder.Default
    private long totalRequirements = 0L;

    @Builder.Default
    private List<StatusCountVO> requirementStatuses = new ArrayList<>();

    @Builder.Default
    private long totalRelationIssues = 0L;

    @Builder.Default
    private List<StatusCountVO> relationIssueStatuses = new ArrayList<>();

    public void addTotalRequirements(long count) {
        this.totalRequirements += count;
    }

    public void addTotalRelationIssues(long count) {
        this.totalRelationIssues += count;
    }
}

